/******************************************************************************
 *
 *			EnviroNet Firmware Version 1.0
 *
 ******************************************************************************
 * FileName:        global_variables.c
 * Dependencies:    See INCLUDES section below
 * Processor:       dsPIC33
 * Compiler:        MPLAB C30
 * Company:         GrayStone Industries
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Roger Bishop         2/1/11      Revision A.
 ******************************************************************************/

/*
Notes:
*/

#include "include files.h"

VEND_ITEM Products[MAX_PRODUCTS];		// All items in the machine
BYTE machineDesc[33];			// Machine description string
BYTE curItem;					// Current product being displayed
BYTE curCredit;					// Current deposit credit, as number of $0.25 quarters
int	smVend = SM_DISPLAY_WAIT;
unsigned char STRING_ARRAY [15];
unsigned char TEMPERATURE [15];
unsigned char VOLTAGE [15];

//Declare AppConfig structure and some other supporting stack variables
APP_CONFIG AppConfig;
//Checksum of the ROM defaults for AppConfig
unsigned short wOriginalAppConfigChecksum;	
BYTE AN0String[8];

#if defined(STACK_USE_HTTP2_SERVER)
	//Sticky status message variable.
	//This is used to indicated whether or not the previous POST operation was 
	//successful.  The application uses these to store status messages when a 
	//POST operation redirects.  This lets the application provide status messages
	//after a redirect, when connection instance data has already been lost.
	BOOL lastSuccess = FALSE;
	//Stick status message variable.  See lastSuccess for details.
	BOOL lastFailure = FALSE;
#endif

#if defined(STACK_USE_GENERIC_TCP_CLIENT_EXAMPLE)
	// Defines the server to be accessed for this application
	//static BYTE ServerName[] =	"www.Lab4.local";
	BYTE ServerName[] =	"192.168.0.10";
	// Defines the port to be accessed for this application
	WORD ServerPort = 80;
	// Defines the URL to be requested by this HTTP client
	//static ROM BYTE RemoteURL[] = "/Lab4/";
	ROM BYTE RemoteURL[] = "/Lab4/";
#endif
